---
- name: "test playbook"
  hosts: all
  vars:
        user: totem
        domain: marc.org

  roles:
        - user #ajoute user
        - requis #les packages requis pour mediawiki

  tasks:

        - name: "Create a directory if it does not exist"
          ansible.builtin.file:
                path: /var/lib/mediawiki
                state: directory
                mode: '0755'

        - name: "Unarchive a file that needs to be downloaded (added in 2.0)"
          ansible.builtin.unarchive:
                src: https://releases.wikimedia.org/mediawiki/1.37/mediawiki-1.37.1.tar.gz
                dest: /var/lib/mediawiki
                remote_src: yes

        - name: "replace memory limit in php ini"
          lineinfile:
                path: /etc/php/7.3/fpm/php.ini
                regexp: 'upload_max_filesize =.*'
                line: upload_max_filesize = 20M


        - name: "replace memory limit in php ini"
          lineinfile:
                path: /etc/php/7.3/fpm/php.ini
                regexp: 'memory_limit =.*'
                line: memory_limit = 128M


        - name: "Create database user with all database privileges"
          community.mysql.mysql_user:
                login_unix_socket: /var/run/mysqld/mysqld.sock
                name: bob
                password: 12345
                priv: '*.*:ALL'
                state: present


        - name: Create a new database with name 'mydb'
          community.mysql.mysql_db:
                login_unix_socket: /var/run/mysqld/mysqld.sock
                name: mydb
                state: present


        - name: "link mediawiki au dossier"
          ansible.builtin.file:
                src: /var/lib/mediawiki/mediawiki-1.37.1
                dest: /var/www/html/mediawiki
                state: link
                mode: "0755"


